import request from '@/utils/request'

// 查询宠物信息列表
export function listAppPets(query) {
  return request({
    url: '/model/AppPets/list',
    method: 'get',
    params: query
  })
}

// 查询宠物信息详细
export function getAppPets(petId) {
  return request({
    url: '/model/AppPets/' + petId,
    method: 'get'
  })
}

// 新增宠物信息
export function addAppPets(data) {
  return request({
    url: '/model/AppPets',
    method: 'post',
    data: data
  })
}

// 修改宠物信息
export function updateAppPets(data) {
  return request({
    url: '/model/AppPets',
    method: 'put',
    data: data
  })
}

// 删除宠物信息
export function delAppPets(petId) {
  return request({
    url: '/model/AppPets/' + petId,
    method: 'delete'
  })
}
